<?xml version="1.0" encoding="iso-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output omit-xml-declaration="yes" indent="yes" />
    <xsl:strip-space elements="*" />

    <xsl:template match="integrationData">
        <xsl:copy>
            <xsl:attribute name="version">
                <xsl:value-of select="current()/@version" />
            </xsl:attribute>
            <xsl:apply-templates select="job" />
			<xsl:element name="customers">
				<xsl:apply-templates select="customers" />
			</xsl:element>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="integrationData/job">
        <xsl:element name="job">
            <xsl:apply-templates select="authority" />
        </xsl:element>
    </xsl:template>

    <xsl:template match="integrationData/job/authority">
        <xsl:element name="authority">
            <xsl:element name="authorityId">
                <xsl:value-of select="authorityId" />
            </xsl:element>
            <xsl:element name="authorityType">
                <xsl:value-of select="authorityType" />
            </xsl:element>
            <!--<xsl:element name="accountId">
		  <xsl:value-of select="accountId" />
		</xsl:element>-->
            <xsl:element name="dataOriginJobId">
                <xsl:value-of select="dataOriginJobId" />
            </xsl:element>
        </xsl:element>
    </xsl:template>

    <xsl:template match="integrationData/customers/customer">
        
            <xsl:element name="customer">
                <!--<xsl:attribute name="id">
        <xsl:value-of select="current()/@id"/>
      </xsl:attribute>-->
                <xsl:attribute name="lifeTimeId">
                    <xsl:value-of select="current()/@lifeTimeId" />
                </xsl:attribute>

                <xsl:element name="currencyId">
                    <xsl:value-of select="currencyId" />
                </xsl:element>
                <xsl:element name="languageId">
                    <xsl:value-of select="languageId" />
                </xsl:element>
                <xsl:element name="billToCustomerId">
                    <xsl:value-of select="billToCustomerId" />
                </xsl:element>
                <xsl:element name="salesPersonId">
                    <xsl:value-of select="salesPersonId" />
                </xsl:element>
                <xsl:element name="paymentMethodId">
                    <xsl:value-of select="paymentMethodId" />
                </xsl:element>
                <xsl:element name="customerVatGroupId">
                    <xsl:value-of select="customerVatGroupId" />
                </xsl:element>
                <xsl:element name="customerPriceGroupId">
                    <xsl:value-of select="customerPriceGroupId" />
                </xsl:element>
                <xsl:element name="customerDiscountGroupId">
                    <xsl:value-of select="customerDiscountGroupId" />
                </xsl:element>
                <xsl:element name="defaultDeliveryAddressId">
                    <xsl:value-of select="defaultDeliveryAddressId" />
                </xsl:element>
                <xsl:element name="name">
                    <xsl:value-of select="name" />
                </xsl:element>
                <xsl:element name="name2">
                    <xsl:value-of select="name2" />
                </xsl:element>
                <xsl:element name="address">
                    <xsl:value-of select="address" />
                </xsl:element>
                <xsl:element name="address2">
                    <xsl:value-of select="address2" />
                </xsl:element>
                <xsl:element name="city">
                    <xsl:value-of select="city" />
                </xsl:element>
                <xsl:element name="postCode">
                    <xsl:value-of select="postCode" />
                </xsl:element>
                <xsl:element name="county">
                    <xsl:value-of select="county" />
                </xsl:element>
                <xsl:element name="emailAddress">
                    <xsl:value-of select="emailAddress" />
                </xsl:element>
                <xsl:element name="contact">
                    <xsl:value-of select="contact" />
                </xsl:element>
                <xsl:element name="phoneNumber">
                    <xsl:value-of select="phoneNumber" />
                </xsl:element>
				<xsl:element name="mobilePhoneNo">
					<xsl:value-of select="mobilePhoneNo" />
				</xsl:element>
                <xsl:element name="faxNumber">
                    <xsl:value-of select="faxNumber" />
                </xsl:element>
                <xsl:element name="canBuy">
                    <xsl:value-of select="canBuy" />
                </xsl:element>
                <xsl:element name="enabled">
                    <xsl:value-of select="enabled" />
                </xsl:element>
                <xsl:element name="salesTaxRegistrationNumber">
                    <xsl:value-of select="salesTaxRegistrationNumber" />
                </xsl:element>
                <xsl:element name="allowLineDiscount">
                    <xsl:value-of select="allowLineDiscount" />
                </xsl:element>
                <xsl:element name="eanNumber">
                    <xsl:value-of select="eanNumber" />
                </xsl:element>
                <xsl:element name="eanAccountNumber">
                    <xsl:value-of select="eanAccountNumber" />
                </xsl:element>
                <xsl:element name="creditLimit">
                    <xsl:value-of select="creditLimit" />
                </xsl:element>
                <xsl:element name="countryId">
                    <xsl:value-of select="countryId" />
                </xsl:element>


                <xsl:apply-templates select="shopGroup" />
            </xsl:element>
        
    </xsl:template>

    <xsl:template match="integrationData/customers/customer/deliveryAddress">
        <xsl:attribute name="id">
            <xsl:value-of select="current()/@id" />
        </xsl:attribute>
        <xsl:element name="enabled">
            <xsl:value-of select="enabled" />
        </xsl:element>
        <xsl:element name="name">
            <xsl:value-of select="name" />
        </xsl:element>
        <xsl:element name="name2">
            <xsl:value-of select="name2" />
        </xsl:element>
        <xsl:element name="address">
            <xsl:value-of select="address" />
        </xsl:element>
        <xsl:element name="address2">
            <xsl:value-of select="address2" />
        </xsl:element>
        <xsl:element name="city">
            <xsl:value-of select="city" />
        </xsl:element>
        <xsl:element name="postCode">
            <xsl:value-of select="postCode" />
        </xsl:element>
        <xsl:element name="contact">
            <xsl:value-of select="contact" />
        </xsl:element>

    </xsl:template>

    <xsl:template match="integrationData/customers/customer/shopGroup">
        <xsl:element name="shopGroup">
            <xsl:element name="shopGroupIds">
				<xsl:element name="shopGroupId">
					<xsl:value-of select="shopGroupIds/shopGroupId" />
				</xsl:element>
            </xsl:element>
            <xsl:apply-templates select="login" />
        </xsl:element>
    </xsl:template>

    <xsl:template match="integrationData/customers/customer/shopGroup/login">
        <xsl:element name="login">
            <xsl:element name="enabled">
                <xsl:value-of select="current()/enabled" />
            </xsl:element>
            <xsl:element name="userName">
                <xsl:value-of select="current()/userName" />
            </xsl:element>
            <xsl:element name="emailAddress">
                <xsl:value-of select="current()/emailAddress" />
            </xsl:element>
            <xsl:element name="deliveryAddressId">
                <xsl:attribute name="forced">
                    <xsl:value-of select="deliveryAddressId/@deliveryAddressId" />
                </xsl:attribute>
                <xsl:value-of select="current()/deliveryAddressId" />
            </xsl:element>
            <xsl:element name="languageId">
                <xsl:value-of select="current()/languageId" />
            </xsl:element>
            <xsl:element name="currencyId">
                <xsl:value-of select="current()/currencyId" />
            </xsl:element>
        </xsl:element>
    </xsl:template>
</xsl:stylesheet>