<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output omit-xml-declaration="yes" indent="yes" />
    <xsl:strip-space elements="*" />


    <xsl:template match="integrationData">
        <xsl:copy>
            <xsl:attribute name="version">
                <xsl:value-of select="current()/@version" />
            </xsl:attribute>
            <xsl:apply-templates select="job" />
            <xsl:element name="giftCards">
                <xsl:apply-templates select="giftCards" />
            </xsl:element>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="integrationData/job">
        <xsl:element name="job">
            <xsl:apply-templates select="authority" />
        </xsl:element>
    </xsl:template>
    
    <xsl:template match="integrationData/job/authority">
        <xsl:element name="authority">
            <xsl:element name="authorityId">
                <xsl:value-of select="authorityId" />
            </xsl:element>
            <xsl:apply-templates select="authorityType"/>
            <xsl:element name="dataOriginJobId">
                <xsl:value-of select="dataOriginJobId" />
            </xsl:element>
        </xsl:element>
    </xsl:template>
    
    <xsl:template match="integrationData/job/authority/authorityType">
        <xsl:element name="authorityType">
            <xsl:value-of select="current()" />
        </xsl:element>
    </xsl:template>
    
    <xsl:template match="integrationData/giftCards/giftCard">
        <xsl:element name="giftCard">
            <xsl:attribute name="id">
                <xsl:value-of select="@id" />
            </xsl:attribute>
            <xsl:element name="issuer">
                <xsl:value-of select="issuer" />
            </xsl:element>
            <xsl:element name="holderEmailAddress">
                <xsl:value-of select="holderEmailAddress" />
            </xsl:element>
            <xsl:element name="holderName">
                <xsl:value-of select="holderName" />
            </xsl:element>
            <xsl:element name="holderRemarks">
                <xsl:value-of select="holderRemarks" />
            </xsl:element>
            <xsl:element name="giftCardState">
                <xsl:value-of select="giftCardState" />
            </xsl:element>
            <xsl:element name="dateCreated">
                <xsl:value-of select="dateCreated" />
            </xsl:element>
            <xsl:element name="expirationDate">
                <xsl:value-of select="expirationDate" />
            </xsl:element>
            <xsl:element name="initialAmount">
                <xsl:value-of select="initialAmount" />
            </xsl:element>
            <xsl:element name="balance">
                <xsl:value-of select="balance" />
            </xsl:element>
            <xsl:element name="currencyId">
                <xsl:value-of select="currencyId" />
            </xsl:element>
            <xsl:element name="transactions">
                <xsl:apply-templates select="transactions/transaction" />
            </xsl:element>
        </xsl:element>
    </xsl:template>

    <xsl:template match="transactions/transaction">
        <xsl:element name="transaction">
			<xsl:element name="transactionId">
				<xsl:value-of select="transactionId"/>
			</xsl:element>
			<xsl:element name="shopGroupId">
				<xsl:value-of select="shopGroupId"/>
			</xsl:element>
            <xsl:element name="date">
                <xsl:value-of select="date" />
            </xsl:element>
            <xsl:element name="giftCardLogType">
                <xsl:value-of select="giftCardLogType" />
            </xsl:element>
            <xsl:element name="balance">
                <xsl:value-of select="balance" />
            </xsl:element>
            <xsl:element name="currencyId">
                <xsl:value-of select="currencyId" />
            </xsl:element>
            <xsl:element name="exchangeRate">
                <xsl:value-of select="exchangeRate" />
            </xsl:element>
            <xsl:element name="remarks">
                <xsl:value-of select="remarks" />
            </xsl:element>
            <xsl:element name="iPAddress">
                <xsl:value-of select="iPAddress" />
            </xsl:element>
            <xsl:element name="orderNumber">
                <xsl:value-of select="orderNumber" />
            </xsl:element>
            <xsl:element name="deltaAmount">
                <xsl:value-of select="deltaAmount" />
            </xsl:element>
            <xsl:element name="textValue1">
                <xsl:value-of select="textValue1" />
            </xsl:element>
            <xsl:element name="textValue2">
                <xsl:value-of select="textValue2" />
            </xsl:element>
        </xsl:element>

    </xsl:template>



</xsl:stylesheet>


